<?php
	$filas = file('jugar.csv', FILE_IGNORE_NEW_LINES|FILE_SKIP_EMPTY_LINES);
	$variables = str_getcsv($filas[0]);
	$instancias = [ ];
	
	for ($i = 1; $i < count($filas); ++$i) {
		$instancias[] = array_combine($variables, str_getcsv($filas[$i]));
	}
	
	foreach ($instancias as &$cambiar) {
		$cambiar['temperatura'] = (
			$cambiar['temperatura'] <= 21 ? 'fria' : (
			$cambiar['temperatura'] <= 26 ? 'tibia' : 'caliente')
		);
		
		$cambiar['humedad'] = (
			$cambiar['humedad'] <= 40 ? 'baja' : (
			$cambiar['humedad'] <= 80 ? 'normal' : 'alta')
		);
	}
	
	$archivo = fopen('_jugar.csv', 'w');
	fputcsv($archivo, $variables);
	
	foreach ($instancias as $guardar) {
		fputcsv($archivo, $guardar);
	}
?>