#include <cstring>
#include <iostream>
#include <string>
#include <vector>
#include <experimental/iterator>

std::vector<std::string> split(std::string linea, const char* delim)
{
   std::vector<std::string> res;
   for (auto t = std::strtok(&linea[0], delim); t != nullptr; t = std::strtok(nullptr, delim)) {
      res.push_back(t);
   }

   return res;
}

int main( )
{
   std::vector<std::vector<std::string>> filas;
   for (std::string linea; std::getline(std::cin, linea); ) {
      filas.push_back(split(linea, ","));
   }

   for (int i = 1; i < filas.size( ); ++i) {
      auto t = std::stod(filas[i][1]);
      filas[i][1] = (t <= 21 ? "fria" : (t <= 26 ? "tibia" : "caliente"));
      auto h = std::stoi(filas[i][2]);
      filas[i][2] = (h <= 40 ? "baja" : (h <= 80 ? "normal" : "alta"));
   }

   for (const auto& f : filas) {
      std::copy(f.begin( ), f.end( ), std::experimental::ostream_joiner<std::string>(std::cout, ","));
      std::cout << '\n';
   }
}
